[![](http://es-lab.de:60085/attachments/0434a49e-12fd-4329-87fa-9279891e8d77)](https://www.hs-anhalt.de)

# LCD-Shield

[![](https://img.shields.io/badge/Version-1.5-a40000.svg?style=plastic)](http://es-lab.de:60085/HS-Anhalt/LCD-Shield)
[![](https://img.shields.io/badge/Arduino-UNO-00BFFF.svg?style=plastic)](https://store.arduino.cc/usa/arduino-uno-rev3) [![](https://img.shields.io/badge/Arduino-IDE-01DF74.svg?style=plastic)](https://www.arduino.cc/en/main/software) [![](https://img.shields.io/badge/Adobe-PDF-red.svg?style=plastic)](https://get.adobe.com/de/reader/) [![](https://img.shields.io/badge/LC--Display-EA%20DOGS104-7401DF.svg?style=plastic)](https://www.lcd-module.com/fileadmin/eng/pdf/doma/dogs104e.pdf) [![](https://img.shields.io/badge/LCD--Controler-SSD1803A-FF8000.svg?style=plastic)](https://www.lcd-module.de/fileadmin/eng/pdf/zubehoer/ssd1803a_2_0.pdf) [![](https://img.shields.io/badge/Download-zip-yellow.svg?style=plastic)](http://es-lab.de:60085/HS-Anhalt/LCD-Shield/archive/master.zip)

## <p>&#x1F4DC; Inhaltsverzeichnis</p>
1. **[Das LCD-Shield](#Beschreibung)**
    * [Funktionen des LCD-Shields](#Funktionen)
    * [Stromlaufplan LCD-Shield V5](#Stromlaufplan)
2. **[Inter-Integrated Circuit Bus](#I2C)**
3. **[LCD-Bibliothek](#Bibo)**
    * [Installation der Bibliothek](#Installation)
    * [Bespielprogramm auf den Arduino laden](#Programm)
    * [Verwenden der LCD-HSA-Class im eigenen Programm](#LCDCLASS)
    * [Methedon der Klasse](#Methoden)
4. **[Literaturverzeichnis](#Literaturverzeichnis)**

>**Hinweis:** Wenn Sie dieses Repository downloaden möchten, können Sie es direkt als [ZIP](http://es-lab.de:60085/HS-Anhalt/LCD-Shield/archive/master.zip)-Datei herunterladen, oder mit Hilfe des Git-Repository-Links auf Ihren Rechner klonen. 
>**<p>&#x2601; Git-Repository-Link:<br> http://es-lab.de:60085/HS-Anhalt/LCD-Shield</p>**

---

<div id='Beschreibung'/>

##  <p>&#x1F4DF; 1. Das LCD-Shield</p>

In diesem Repository finden Sie alle Informationen zum LCD-Shield, welches Sie im Modul "Elektronikdesign" entwickeln. Des Weiteren finden Sie hier eine Bibliothek zum Einbinden in die Arduino IDE, um das LC-Display in Betrieb zu nehmen. In den folgenden Abschnitten werden die Funktionen und der Stromlaufplan des LCD-Shields erklärt,

<div id='Funktionen'/>

### Funktionen des LCD-Shields

Weitere Informationen folgen!



<div id='Stromlaufplan'/>

### Stromlaufplan des LCD-Shields

Weitere Informationen folgen!

![](http://es-lab.de:60085/attachments/34481226-779e-4abe-a4a0-e4b9f312f166)



<div id='I2C'/>

## <p>&#x1F503; 2. Inter-Integrated Circuit Bus</p>

Weitere Informationen folgen!



<div id='Bibo'/>

## <p>&#x1F5C3; 3. LCD-Bibliothek </p>

Weitere Informationen folgen!



<div id='Installation'/>

### Installation der Bibliothek </p>

Weitere Informationen folgen!



<div id='Programm'/>

### Bespielprogramm auf den Arduino laden </p>

Weitere Informationen folgen!



<div id='LCDCLASS'/>

### Verwenden der LCD-HSA-Class im eigenen Programm </p>

Weitere Informationen folgen!



<div id='Methoden'/>

### Methedon der Klasse </p>

Weitere Informationen folgen!



<div id='Literaturverzeichnis'/>

## <p>&#x1F4DA; 4. Literaturverzeichnis</p>

&nbsp;&nbsp;&nbsp; **[1]**&nbsp; Atmel <br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; *ATmega328 (Mikrocontroller) Datenblatt* <br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; [http://www.atmel.com/Images/Atmel-42735-8-bit-AVR-Microcontroller-ATmega328-328P_Datasheet.pdf](http://www.atmel.com/Images/Atmel-42735-8-bit-AVR-Microcontroller-ATmega328-328P_Datasheet.pdf)<br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Abfragedatum: 23.10.2017

&nbsp;&nbsp;&nbsp; **[2]**&nbsp; Arduino <br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; *Language Reference* <br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; [https://www.arduino.cc/en/Reference/HomePage](https://www.arduino.cc/en/Reference/HomePage)<br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Abfragedatum: 23.10.2017

&nbsp;&nbsp;&nbsp; **[3]**&nbsp; RN-Wissen <br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; *Inter-Integrated Circuit Bus* <br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; [http://rn-wissen.de/wiki/index.php?title=I2C](http://rn-wissen.de/wiki/index.php?title=I2C)<br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Abfragedatum: 20.04.2018

&nbsp;&nbsp;&nbsp; **[4]**&nbsp; SOLOMON SYSTECH <br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; *Display-Controller: SSD1803A* <br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; [https://www.lcd-module.de/fileadmin/eng/pdf/zubehoer/ssd1803a_2_0.pdf](https://www.lcd-module.de/fileadmin/eng/pdf/zubehoer/ssd1803a_2_0.pdf)<br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Abfragedatum: 20.04.2018

&nbsp;&nbsp;&nbsp; **[5]**&nbsp; LCD-Module <br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; *LC-Display: EA DOGS104-A* <br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; [https://www.lcd-module.com/fileadmin/eng/pdf/doma/dogs104e.pdf](https://www.lcd-module.com/fileadmin/eng/pdf/doma/dogs104e.pdf)<br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Abfragedatum: 20.04.2018

---

**Hochschule Anhalt | Anhalt University of Applied Sciences | Fachbereich 6 EMW <br> LCD-Shield**

<p>Tobias Müller, M. Eng.<br>
<a href="mailto:Tobias.Mueller@HS-Anhalt.de">&#x1F4E7; Tobias.Mueller@HS-Anhalt.de</a></p>

<p>Dipl. Ing. Harald Prütting<br>
<a href="mailto:Harald.Pruetting@hs-anhalt.de">&#x1F4E7; Harald.Pruetting@HS-Anhalt.de </a></p>

<p>&#x00A9; es-lab.de, 20.04.2018</p>